# 기여하기

Kiwi는 LGPL v3 라이센스로 배포되며 누구든지 GitHub의 풀 리퀘스트 기능을 통해 Kiwi에 기여할 수 있습니다.

## 연락하기

질문이 있다면 언제든지 편하게 이슈에 Question레이블로 글을 남겨주세요.

## 시작하기

- 이 저장소를 포크합니다.
- `README.md`를 참고하여 빌드합니다.

# 기여 과정

기여는 일반적으로 다음과 같은 순서로 진행됩니다.

- 기여할 대상이 되는 브랜치(보통 `main`)로부터 목표 브랜치를 하나 만듭니다.
- 코드를 수정하고 논리적 단위로 커밋을 생성합니다 (커밋 메세지 양식은 아래를 참조해주세요)
- 포크된 개인 저장소의 목표 브랜치로 변경사항을 푸시합니다.
- 변경된 코드가 테스트를 통과하는지 확인해주세요. 그리고 필요할 경우 적절한 테스트를 추가해주세요.
- 원본 저장소로 풀 리퀘스트를 날립니다.

기여 과정이 애매한 경우 언제든지 이슈에 질문글을 남겨주세요.

## 코드에 기여하기

### 커밋 메세지 양식

커밋 메세지에는 "무엇"을 "왜" 바꿨는지가 드러나야합니다. 
커밋 메세지 제목에는 "무엇"을 바꿨는지를 간략하게 작성하고
나머지 본문에는 "왜" 바꿨는지 잘 서술해주세요.

커밋 메세지는 영어로 작성하는 걸 원칙으로 하지만,
한국어 형태소 분석기 특성 상 한국어로 설명하는게 편한 경우에는 한국어로 작성하는 것도 허용합니다.

첫번째 줄은 제목으로써 항상 80글자 이하여야 합니다. 
두번째 줄은 빈줄로 남겨두고 세번째 줄부터 줄마다 80글자가 넘지 않도록 서술해주세요.

### 테스트

코드 변경사항이 포함된 풀 리퀘스트를 날리기에 앞서 먼저 테스트를 꼭 수행해주세요.
로컬에서 모든 테스트를 통과한 경우에만 풀 리퀘스트를 날리기를 부탁드립니다.

## 평가용 말뭉치에 기여하기

평가용 말뭉치(`eval_data/` 폴더)는 Kiwi의 성능을 평가하는 데 쓰이는 말뭉치를 말합니다. 
평가용 말뭉치가 크고 다양할 수록 Kiwi의 현재 성능을 더 정확하게 파악하고, 어떤 오류들이 잠재해 있는지 자세하게 확인할 수 있습니다.
따라서 말뭉치에 기여하는 것 역시 코드 수정을 통한 기여만큼이나 가치 있는 일입니다.

평가용 말뭉치 역시 코드와 동일한 라이센스로 배포되기에 저작권 문제가 발생할 수 있는 텍스트를 복사해오는 것은 지양해주세요.
그 대신 개인이 직접 작성한 문장을 등록하는 것을 권장합니다.

## 문서화에 기여하기
